All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class OMIServerRepository.OMIEvaluator

    com.sas.services.information.OMIServerRepository.OMIEvaluator

All Implemented Interfaces:
  com.sas.services.information.rules.EvaluatorInterface

Enclosing class:
  OMIServerRepository

    public class OMIServerRepository.OMIEvaluator

implements com.sas.services.information.rules.EvaluatorInterface

Constructor Summary
`OMIServerRepository.OMIEvaluator(java.lang.Object o)`

Method Summary
`boolean` | `evaluate(java.lang.String path, java.lang.String value)` Evaluate a factory path as either true or false.
`boolean` | `evaluateObject(java.lang.Object o, java.lang.String attribute, java.lang.String value)` Evaluate a single object given the attribute name and a value.
`java.util.List` | `setPath(java.lang.String path)` Given an association path, get a list of objects that match that path for the base object (which should have been provided in the constructor).

Constructor Detail

### OMIServerRepository.OMIEvaluator

    public OMIServerRepository.OMIEvaluator(java.lang.Object o)

Method Detail

### evaluate

    public boolean evaluate(java.lang.String path,
                            java.lang.String value)
                     throws java.rmi.RemoteException,
                            ServiceException

  Description copied from interface: `EvaluatorInterface`
  Evaluate a factory path as either true or false. The path should be of the form: ([/association]* /)? @attribute. An instance of this class will take an Object in the constructor, and the instance will have to know how to determine if the path has at least one value that matches the provided value.

  Specified by:
    `evaluate` in interface `com.sas.services.information.rules.EvaluatorInterface`
  Parameters:
    `path` - The data path to check for a value matching the value provided.
    `value` - The value to look for at the path.
  Returns:
    True if there is at least one value at the path matching the provided value.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.
    `ServiceException` - If a service level error occurs.

### setPath

    public java.util.List setPath(java.lang.String path)
                           throws ServiceException,
                                  java.rmi.RemoteException

  Description copied from interface: `EvaluatorInterface`
  Given an association path, get a list of objects that match that path for the base object (which should have been provided in the constructor).

  Specified by:
    `setPath` in interface `com.sas.services.information.rules.EvaluatorInterface`
  Parameters:
    `path` - An association path of the form *assn1/*assn2/...
  Returns:
    A List of objects in the given association path of the base object.
  Throws:
    `ServiceException` - if a service level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### evaluateObject

    public boolean evaluateObject(java.lang.Object o,
                                  java.lang.String attribute,
                                  java.lang.String value)
                           throws java.rmi.RemoteException,
                                  ServiceException

  Description copied from interface: `EvaluatorInterface`
  Evaluate a single object given the attribute name and a value.

  Specified by:
    `evaluateObject` in interface `com.sas.services.information.rules.EvaluatorInterface`
  Parameters:
    `o` - The object to test against the attribute and value.
    `attribute` - The attribute name (as "@attribute").
    `value` - The value string to test.
  Returns:
    true if the object's attribute value matches the provided value.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.
    `ServiceException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.